drop table stations;
drop table fixed_data;
drop table mobile_data;
drop table wx_data;

create table stations
( 
    CALLSIGN varchar(10) NOT NULL, 
    DTSTAMP DATETIME     NOT NULL,     
    TYPE char(1), 
    DISTANCE decimal(8,2), 
    LAT decimal(8,4), 
    LON decimal(8,4), 
    HEARD_DIRECT decimal(1),
    RADIO_PORT decimal(3,0),
    SYMBOL char(2),
    OBJECT_OWNER varchar(10),    
    	PRIMARY KEY (CALLSIGN,DTSTAMP)
);
    

create table fixed_data
( 
    FK_CALLSIGN varchar(10) NOT NULL, 
    FK_DTSTAMP DATETIME     NOT NULL,     
    STATUS varchar(55), 
    COMMENT varchar(86), 
    PATH varchar(50), 
    	PRIMARY KEY (FK_CALLSIGN,FK_DTSTAMP)    
);    

create table mobile_data
( 
    FK_CALLSIGN varchar(10) NOT NULL, 
    FK_DTSTAMP DATETIME     NOT NULL,     
    HEIGHT decimal(8,2),
    SPEED decimal(6,2),
    PATH varchar(50),
    COURSE decimal(3,0),    
    	PRIMARY KEY (FK_CALLSIGN,FK_DTSTAMP)        
);    

create table wx_data
( 
    FK_CALLSIGN varchar(10) NOT NULL, 
    FK_DTSTAMP DATETIME     NOT NULL,     
    PRESSURE decimal(5,0),
    DEWPOINT decimal(6,1),
    HUMIDITY decimal(6,1),
    RAIN_24HOURS decimal(6,1),
    RAIN_LAST_HOUR decimal(6,1),
    RAIN_TODAY decimal(6,1),
    TEMP decimal(6,1),
    WIND_CHILL decimal(6,1),
    WIND_DIRECTION decimal(3,0),
    WIND_GUST decimal(6,1),
    WIND_SPEED decimal(6,1),
    	PRIMARY KEY (FK_CALLSIGN,FK_DTSTAMP)        
);    
    

    
    